Name: gnome-doc-tools
Version: 2.0
Release: alt3

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Summary: PNG image support for DocBook 3.1 SGML DTD + png2eps
Group: Publishing
License: GPL
Url: http://people.redhat.com/dcm/software.html

%define sgmlbase	%_datadir/sgml
%define sgmlconfdir	%_sysconfdir/sgml

Requires: sgml-common >= 0.5, ImageMagick

BuildArch: noarch
Source0: http://people.redhat.com/dcm/%name-%version.tar.bz2

%description
This package provides support for PNG images in DocBook 3.1 as
well as a tool to convert png graphics to eps graphics (scaled). This
is intended for the GNOME documentation project.

%prep
%setup -q -c

%install
%make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING README
%_datadir/sgml/docbook/png-support-3.1/
%_bindir/*
%_mandir/*/*

%post
%_bindir/install-catalog --add %sgmlconfdir/png-support-3.1.cat \
	%sgmlbase/sgml-iso-entities-8879.1986/catalog >/dev/null 2>&1
%_bindir/install-catalog --add %sgmlconfdir/png-support-3.1.cat \
	%sgmlbase/docbook/png-support-3.1/catalog >/dev/null 2>&1
%_sbindir/update-alternatives --install %sgmlconfdir/png-support.cat \
	png-support.cat %sgmlconfdir/png-support-3.1.cat 31

%preun
if [ "$1" = 0 ]; then
    %_bindir/install-catalog --remove %sgmlconfdir/png-support-3.1.cat \
	%sgmlbase/sgml-iso-entities-8879.1986/catalog >/dev/null 2>&1
    %_bindir/install-catalog --remove %sgmlconfdir/png-support-3.1.cat \
	%sgmlbase/docbook/png-support-3.1/catalog >/dev/null 2>&1
    %_sbindir/update-alternatives --remove \
	png-support.cat %sgmlconfdir/png-support-3.1.cat
fi

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0-alt3
- rebuild

* Fri Mar 15 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt2
- Fixed install scripts

* Sun Jul 08 2001 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt1
- ALT Linux adoption (RH is a sad mess compared to us :))

* Sun Apr 29 2001 David Mason <dcm@chelseafc.labs.redhat.com>
- New build with just support for DB 3.1 - should be last iteration as
  DB has support for pngs and the GDP moves to DB XML

* Sat Aug 19 2000 Alan Cox
- cleaned up errors when building

* Sat Apr 29 2000 David C Mason
- Check for new SGML_DIR location for slackware users

* Thu Apr 27 2000 David C Mason
- updated the gdp-both.dsl
for cleaner printing capabilities. Fixed typo in README

* Thu Apr 20 2000 David C Mason
- initial build

